measurefs.reiser4(8)

NOM
measurefs.reiser4 - Le programme de mesure des paramètres d'un système de fichiers Reiser4 (fragmentation, empilement des nœuds, etc.)

SYNOPSIS
measurefs.reiser4 [options] fichier

DESCRIPTION
measurefs.reiser4 est un programme qui permet de mesurer un système de fichiers Reiser4. En l'utilisant, vous pouvez estimer la fragmentation, l'empilement des structures, etc. d'un système de fichiers.

OPTIONS GÉNÉRALES

-V, --version
    Afficher la version du programme.

-?, -h, --help
    Afficher le message d'aide du programme.

-y, --yes
    Considérer que toutes les questions reçoivent une réponse affirmative.

-f, --force
    Forcer measurefs à utiliser un disque entier, au lieu d'un périphérique bloc ou une partition montée.

-c, --cache n
    Définir le nombre de nœud de l'arbre du cache. Cela affecte le comportement de libreiser4 de façon importante : la vitesse, l'allocation des arbres, etc.

OPTIONS DE MESURE

-S, --tree-stat
    Afficher différentes statistiques des arbres (empilement des nœuds, nœuds internes, feuilles, etc.)

-T, --tree-frag
    Mesurer la fragmentation totale de l'arbre. Le résultat est un coefficient de fragmentation, une valeur comprise entre 0,000 00 (la fragmentation minimale) et 1,000 00 (la fragmentation maximale). Ce coefficient affectera très probablement les lectures séquentielles.

-D, --data-frag
    Mesurer la fragmentation moyenne des fichiers. C'est-à-dire que la fragmentation de chaque fichier sera mesurée séparément pour ensuite obtenir une moyenne. Le résultat est un coefficient de fragmentation, une valeur comprise entre 0,000 00 (la fragmentation minimale) et 1,000 00 (la fragmentation maximale).

    Remarquez que pour un système de fichier récent, et même s'il est rempli de données, cette valeur sera très faible.

-F, --file-frag fichier
    Mesurer la fragmentation du fichier indiqué. Le résultat est un quotient de fragmentation allant de la valeur 0,000 00 (fragmentation minimale) à 1,000 00 (la fragmentation maximale). Notez que la fragmentation d'un petit fichier, qui consiste en des éléments de queue (en fonction de la politique des queues), n'est pas une valeur très fiable. C’est parce qu'ils sont toujours déplacés pour l'équilibrage.

    Exemples :

    measurefs.reiser4 -F /usr/bin /dev/hda2
    measurefs.reiser4 -F /bin/bash /dev/hda2

-E, --show-file
    Afficher la fragmentation de chaque fichier si --data-frag est utilisée.

OPTIONS DE GREFFON

-p, --print-profile
    Afficher le profil des greffons. Il s'agit de l'ensemble des greffons utilisés pour toutes les parties d'un système de fichiers — le format, les nœuds, les fichiers, les répertoires, les tables de hachage, etc. Si --override est utilisée, alors afficher les greffons modifiés.

-l, --print-plugins
    Afficher tous les greffons connus de libreiser4.

-o, --override TYPE=GREFFON, ...
    Remplacer le greffon par défaut pour le type par le greffon dans le profil des greffons.

    Exemples :

    measurefs.reiser4 -o nodeptr=nodeptr41,hash=rupasov_hash /dev/hda2

SIGNALER DES BOGUES
Signaler toute erreur à <reiserfs-devel@vger.kernel.org>

VOIR AUSSI
debugfs.reiser4(8), mkfs.reiser4(8), fsck.reiser4(8)

AUTEUR
Cette page de manuel a été écrite par Yury Umanets <umka@namesys.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Bour, Nicolas François <nicolas.francois@centraliens.net> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.